<template>
	<div class="drawings-wrapper">
		<div v-if="isLoading" class="spinner-wrapper"><spinner></spinner></div>
		<div v-else class="drawing-list">
			<div class="drawing-card" v-for="drawing in this.drawings" :key="drawing.drawingId" @click="navigateToDrawing(drawing.drawingId)">
				<card :media="drawing.dataUrl">
					<div class="card-footer">
						<div class="creation-date">{{ drawing.creationDate | moment("MMMM Do YYYY, H:mm") }}</div>
						<div class="draw-duration">{{ drawing.drawDuration | moment("mm:ss") }} Mins</div>
					</div>
				</card>
			</div>
		</div>
	</div>
</template>

<script>
import Spinner from 'vue-simple-spinner'
import { Card } from 'vue-mdc'
export default {
	components: {
		Card,
		Spinner
	},
	data () {
		return {
			isLoading: true,
			drawings: []
		}
	},

	created () {
		this.$http.get('https://us-over-board-server.herokuapp.com/api/drawing')
			.then(function (response) {
				this.drawings = response.body
				this.isLoading = false
			})
			.catch(err => {
				console.log(err)
				this.isLoading = false
			})
	},

	methods: {
		navigateToDrawing (drawingId) {
			this.$router.push({ name: 'drawing', params: { id: drawingId } })
		}
	}
}
</script>

<style>
.drawing-list {
	margin: 24px;
    display: flex;
    flex-flow: row wrap;
    align-content: left;
    justify-content: left;
}

.spinner-wrapper {
	text-align: center;
}

.drawing-card {
	width: 330px;
	margin: 24px;
	cursor: pointer;
}

.card-footer {
	padding: 10px;
	border-top: 1px solid #eee;
	background-color: #fafafa;
}

.creation-date {
	float: left;
}

.draw-duration {
	float: right;
}

.mdc-card__media {
	background-size: 300px;
	background-repeat: no-repeat;
    background-position: center;
}
</style>
